## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec


Name:           qbe
Version:        1.2
Release:        %autorelease
Summary:        A pure C embeddable compiler backend

License:        MIT
URL:            https://c9x.me/compile/
Source0:        %{url}/release/%{name}-%{version}.tar.xz

BuildRequires:  gcc
BuildRequires:  make

ExclusiveArch: x86_64 aarch64 riscv64

%description
QBE is a compiler backend that aims to provide 70% of the performance of
industrial optimizing compilers in 10% of the code. QBE fosters language
innovation by offering a compact user-friendly and performant backend. The size
limit constrains QBE to focus on the essential and prevents embarking on a
never-ending path of diminishing returns.


%prep
%autosetup -n %{name}-%{version} -p 1


%build
%{!?_auto_set_build_flags:%{set_build_flags}}
%make_build CFLAGS="${CFLAGS} -fPIE -std=c17 -Wall -Wextra -Wpedantic"


%install
%make_install PREFIX=%{_prefix}


%check
%{!?_auto_set_build_flags:%{set_build_flags}}
make check


%files
%license LICENSE
%doc README doc/*
%{_bindir}/%{name}


%changelog
## START: Generated by rpmautospec
* Wed Feb 28 2024 Timothée Floure <work@tfloure.ch> - 1.2-3
- Fix variable mismatch following 1.2 rebase

* Fri Feb 16 2024 Timothée Floure <work@tfloure.ch> - 1.2-2
- Remove QBE 1.1 archive from sources

* Fri Feb 16 2024 Timothée Floure <work@tfloure.ch> - 1.2-1
- Rebase on upstream 1.2

* Sun Feb 04 2024 Mike Rochefort <mroche@omenos.dev> - 1.1^20240129.2d683e0c-1
- Rebase to upstream commit 2d683e0c

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Mar 30 2023 Timothée Floure <timothee.floure@posteo.net> - 1.1-1
- Rebase on new upstream release: QBE 1.1

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Sep 15 2022 Timothée Floure <timothee.floure@posteo.net> - 1.0-4
- Remove autorelease macros expanded by rpmautospec in SRPM

* Thu Sep 15 2022 Timothée Floure <timothee.floure@posteo.net> - 1.0-3
- Restore autochangelog macro mangled by SRPM import

* Thu Sep 15 2022 Timothée Floure <timothee.floure@posteo.net> - 1.0-2
- Preserve timestamp on doc files

* Thu Sep 15 2022 Timothée Floure <timothee.floure@posteo.net> - 1.0-1
- Initial import (fedora#212956)
## END: Generated by rpmautospec
